package androidya.proyecto033;

import android.app.Activity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Toast;

public class Proyecto033Activity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    public void prueba1(View v) {
    	Toast toast = Toast.makeText(this, "Mensaje 1", Toast.LENGTH_SHORT);
    	toast.show();    	
    }
    
    public void prueba2(View v) {
    	Toast toast = Toast.makeText(this, "Mensaje 2", Toast.LENGTH_SHORT);
    	toast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
    	toast.show();    	
    }
    
    public void prueba3(View v) {
    	LayoutInflater inflater = getLayoutInflater();
    	View layout = inflater.inflate(R.layout.toast1,	null);
    	Toast toast = new Toast(getApplicationContext());
    	toast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
    	toast.setDuration(Toast.LENGTH_LONG);
    	toast.setView(layout);
    	toast.show();    
    }    
}